Subject: [TR] Buying from the UK

From: John Macartney <[email-masked]>
Date: Wed, 25 Feb 2026 23:20:54 +0000

A few weeks back, there were some observations on the list about buying parts from the UK and where was the import duty collected? I commented INcorrectly that it wasn’t paid in the UK but on arrival in the destination market. That’s how it’s been all my working like. 
I was wrong.
 It seems we’re now paying US import duty on outgoing packages and the carrier collects the US duty and then remits it to the US embassy in the country of despatch.

Two years ago, I sent a package to the States and paid GBP4.00 for postage. Today, I sent another of the same item as a gift to the States. That same item cost GBP23.00 (nearly 6 times more than in 2024) for postage, plus another 12.5% of the mail cost because I couldn’t provide an invoice to prove the packaged item value. I was informed very politely that if I couldn’t show an invoice, the duty was levied on the mailing cost. End of story.

All I feel it necessary is to advise all of you to boycott Rimmers and all the other UK parts outlets because even though they can provide an invoice for import duties levy, they’ll inevitably put the duty inside an uplifted selling price and you’ll still get really screwed on the mailing cost through the mail rate uplifts. 
But what is the likely tariff you’ll pay? 
In April 2025, the brouhaha started at 25%. Then Shifty Starmer negotiated it with Trump down to 10%. Last week we heard from Washington it had gone up to 15% effective Monday just gone - and now it’s back down to 12.5%. Yes, I really am on my arse and elbow at the same time!

But thank heavens I’m no longer exporting new cars and parts to the US and being required to be an unpaid US tax collector. It’s now bedtime so rant off.

Jonmac
** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]